
TYPO3.Party - Bug # 44196

Status: Resolved Priority: Should have
Author: Mattias Nilsson Category:
Created: 2012-12-22 Assigned To: Mattias Nilsson
Updated: 2013-03-26 Due date:
Affected Flow version: Flow 2.0.0 beta 1
Subject: Missing the possibility to get a list of all available electronic types and usage types.
Description

When trying to get all the electronic types and usage types, there is no method to get them as a list.

My suggestion is to add two methods for getting the necessary data:

public function getAllElectronicAddressTypes() {}

public function getAllUsageTypes() {}

both should be added to class ElectronicAddress {}

Associated revisions
Revision d9f5aeb0 - 2013-03-26 14:26 - Aske Ertmann

[FEATURE] Add possibility to fetch address and usage types

    -  Add the possibility to get lists of electronic address types and
  usage types.

    -  Add extra validation to properties

Change-Id: I1ebfa713f090a2bfa31201ad150fd4713cb7b92d
Resolves: #44196
Releases: master

History
#1 - 2012-12-22 10:02 - Mattias Nilsson

Added a snippet for review: https://review.typo3.org/#/c/17267/

#2 - 2012-12-28 14:36 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17267

#3 - 2013-01-12 07:55 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17267

#4 - 2013-01-14 09:23 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17267

#5 - 2013-01-14 13:28 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17267

#6 - 2013-01-14 18:35 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17267

#7 - 2013-01-14 22:15 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17267

#8 - 2013-01-16 00:14 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17267

#9 - 2013-02-08 20:27 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17267

#10 - 2013-02-13 15:27 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17267

#11 - 2013-02-13 15:45 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17267

#12 - 2013-02-13 16:10 - Gerrit Code Review
Patch set 14 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17267

#13 - 2013-02-27 16:01 - Gerrit Code Review

Patch set 15 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17267

#14 - 2013-03-26 14:08 - Gerrit Code Review

Patch set 16 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17267

#15 - 2013-03-26 14:10 - Gerrit Code Review

Patch set 17 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17267

#16 - 2013-03-26 14:12 - Gerrit Code Review

Patch set 18 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17267

#17 - 2013-03-26 14:26 - Gerrit Code Review

Patch set 19 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17267

#18 - 2013-03-26 14:37 - Aske Ertmann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d9f5aeb0ef49fcdcb158c0cdcc5778f966ab4219.
